%define majver %(echo %version | cut -d. -f1-2)

Name:          mbox-importer
Version:       24.12.3
Release:       1mamba
Summary:       KDE MBox importer
Group:         Graphical Desktop/Applications/Internet
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://kde.org/
Source:        https://download.kde.org/%{stable_kde6}/release-service/%{version}/src/mbox-importer-%{version}.tar.xz
# Source:        http://download.kde.org/stable/frameworks/%{majver}/...-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libQt6Core
BuildRequires: libQt6DBus
BuildRequires: libQt6Gui
BuildRequires: libQt6Network
BuildRequires: libQt6Widgets
BuildRequires: libakonadi-contacts-devel
BuildRequires: libakonadi-devel
BuildRequires: libakonadi-mime-devel
BuildRequires: libassuan-devel
BuildRequires: libgcc
BuildRequires: libglvnd-devel
BuildRequires: libgpgme-devel
BuildRequires: libgpgmepp
BuildRequires: libgrantleetheme-devel
BuildRequires: libkdepim-devel
BuildRequires: libkf6-karchive-devel
BuildRequires: libkf6-kcolorscheme-devel
BuildRequires: libkf6-kcompletion-devel
BuildRequires: libkf6-kconfig-devel
BuildRequires: libkf6-kconfigwidgets-devel
BuildRequires: libkf6-kcontacts-devel
BuildRequires: libkf6-kcoreaddons-devel
BuildRequires: libkf6-kcrash-devel
BuildRequires: libkf6-ki18n-devel
BuildRequires: libkf6-kiconthemes-devel
BuildRequires: libkf6-kio-devel
BuildRequires: libkf6-kitemmodels-devel
BuildRequires: libkf6-ktexttemplate-devel
BuildRequires: libkf6-kwidgetsaddons-devel
BuildRequires: libkidentitymanagement-devel
BuildRequires: libkimap-devel
BuildRequires: libkleo-devel
BuildRequires: libkmime-devel
BuildRequires: libkpimtextedit-devel
BuildRequires: libktextaddons-qt6-devel
BuildRequires: libmailcommon-devel
BuildRequires: libmailimporter-devel
BuildRequires: libpimcommon-devel
BuildRequires: libqgpgme-qt6-devel
BuildRequires: libstdc++6-devel
BuildRequires: messagelib-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: kf6-rpm-macros
BuildRequires: extra-cmake-modules
BuildRequires: libgpgme-devel >= 1.18.0

%description
KDE MBox importer.


%prep
%setup -q

%build
%cmake_kf6
%cmake_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%cmake_install

%find_lang %{name} --with-qt --with-man --all-name || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/mboximporter
%{_datadir}/applications/org.kde.mboximporter.desktop
%doc LICENSES

%changelog
* Mon Mar 10 2025 Automatic Build System <autodist@openmamba.org> 24.12.3-1mamba
- automatic version update by autodist

* Sun Feb 09 2025 Automatic Build System <autodist@openmamba.org> 24.12.2-1mamba
- automatic version update by autodist

* Sat Jan 11 2025 Automatic Build System <autodist@openmamba.org> 24.12.1-1mamba
- automatic version update by autodist

* Mon Dec 16 2024 Automatic Build System <autodist@openmamba.org> 24.12.0-1mamba
- automatic version update by autodist

* Sat Nov 09 2024 Automatic Build System <autodist@openmamba.org> 24.08.3-1mamba
- automatic version update by autodist

* Sun Oct 13 2024 Automatic Build System <autodist@openmamba.org> 24.08.2-1mamba
- automatic version update by autodist

* Sun Sep 15 2024 Automatic Build System <autodist@openmamba.org> 24.08.1-1mamba
- automatic version update by autodist

* Sun Aug 25 2024 Automatic Build System <autodist@openmamba.org> 24.08.0-1mamba
- automatic version update by autodist

* Sat Jul 06 2024 Automatic Build System <autodist@openmamba.org> 24.05.2-1mamba
- automatic version update by autodist

* Sat Jun 15 2024 Automatic Build System <autodist@openmamba.org> 24.05.1-1mamba
- automatic version update by autodist

* Mon May 27 2024 Automatic Build System <autodist@openmamba.org> 24.05.0-1mamba
- automatic version update by autodist

* Sun Apr 14 2024 Automatic Build System <autodist@openmamba.org> 24.02.2-1mamba
- automatic version update by autodist

* Mon Mar 25 2024 Automatic Build System <autodist@openmamba.org> 24.02.1-1mamba
- automatic version update by autodist

* Mon Mar 11 2024 Automatic Build System <autodist@openmamba.org> 24.02.0-1mamba
- automatic version update by autodist

* Sun Feb 18 2024 Automatic Build System <autodist@openmamba.org> 23.08.5-1mamba
- automatic version update by autodist

* Sat Dec 09 2023 Automatic Build System <autodist@mambasoft.it> 23.08.4-1mamba
- automatic version update by autodist

* Sat Nov 11 2023 Automatic Build System <autodist@mambasoft.it> 23.08.3-1mamba
- automatic version update by autodist

* Mon Oct 16 2023 Automatic Build System <autodist@mambasoft.it> 23.08.2-1mamba
- automatic version update by autodist

* Sat Sep 16 2023 Automatic Build System <autodist@mambasoft.it> 23.08.1-1mamba
- automatic version update by autodist

* Tue Aug 29 2023 Automatic Build System <autodist@mambasoft.it> 23.08.0-1mamba
- automatic version update by autodist

* Tue Jul 11 2023 Automatic Build System <autodist@mambasoft.it> 23.04.3-1mamba
- automatic version update by autodist

* Tue Jun 13 2023 Automatic Build System <autodist@mambasoft.it> 23.04.2-1mamba
- automatic version update by autodist

* Sat May 13 2023 Automatic Build System <autodist@mambasoft.it> 23.04.1-1mamba
- automatic version update by autodist

* Tue May 02 2023 Automatic Build System <autodist@mambasoft.it> 23.04.0-1mamba
- automatic version update by autodist

* Sat Mar 04 2023 Automatic Build System <autodist@mambasoft.it> 22.12.3-1mamba
- automatic version update by autodist

* Tue Feb 07 2023 Automatic Build System <autodist@mambasoft.it> 22.12.2-1mamba
- automatic version update by autodist

* Sun Jan 08 2023 Automatic Build System <autodist@mambasoft.it> 22.12.1-1mamba
- automatic version update by autodist

* Sun Dec 11 2022 Automatic Build System <autodist@mambasoft.it> 22.12.0-1mamba
- automatic version update by autodist

* Sun Nov 06 2022 Automatic Build System <autodist@mambasoft.it> 22.08.3-1mamba
- automatic version update by autodist

* Tue Oct 18 2022 Automatic Build System <autodist@mambasoft.it> 22.08.2-1mamba
- automatic version update by autodist

* Sat Sep 10 2022 Automatic Build System <autodist@mambasoft.it> 22.08.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.08.0-2mamba
- rebuilt with libgpgme 1.18.0

* Sat Aug 27 2022 Automatic Build System <autodist@mambasoft.it> 22.08.0-1mamba
- automatic version update by autodist

* Sun Jul 10 2022 Automatic Build System <autodist@mambasoft.it> 22.04.3-1mamba
- automatic version update by autodist

* Sun Jun 12 2022 Automatic Build System <autodist@mambasoft.it> 22.04.2-1mamba
- automatic version update by autodist

* Tue May 17 2022 Automatic Build System <autodist@mambasoft.it> 22.04.1-1mamba
- automatic version update by autodist

* Thu Apr 28 2022 Automatic Build System <autodist@mambasoft.it> 22.04.0-1mamba
- automatic version update by autodist

* Sat Mar 05 2022 Automatic Build System <autodist@mambasoft.it> 21.12.3-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Automatic Build System <autodist@mambasoft.it> 21.12.2-1mamba
- automatic version update by autodist

* Sat Jan 08 2022 Automatic Build System <autodist@mambasoft.it> 21.12.1-1mamba
- automatic version update by autodist

* Thu Dec 16 2021 Automatic Build System <autodist@mambasoft.it> 21.12.0-1mamba
- automatic version update by autodist

* Wed Nov 10 2021 Automatic Build System <autodist@mambasoft.it> 21.08.3-1mamba
- automatic version update by autodist

* Mon Oct 11 2021 Automatic Build System <autodist@mambasoft.it> 21.08.2-1mamba
- automatic version update by autodist

* Sun Sep 05 2021 Automatic Build System <autodist@mambasoft.it> 21.08.1-1mamba
- automatic version update by autodist

* Fri Aug 20 2021 Automatic Build System <autodist@mambasoft.it> 21.08.0-1mamba
- automatic version update by autodist

* Fri Jul 09 2021 Automatic Build System <autodist@mambasoft.it> 21.04.3-1mamba
- automatic version update by autodist

* Sat Jun 19 2021 Automatic Build System <autodist@mambasoft.it> 21.04.2-1mamba
- automatic version update by autodist

* Sat May 15 2021 Automatic Build System <autodist@mambasoft.it> 21.04.1-1mamba
- automatic version update by autodist

* Tue Apr 27 2021 Automatic Build System <autodist@mambasoft.it> 21.04.0-1mamba
- automatic version update by autodist

* Sun Mar 07 2021 Automatic Build System <autodist@mambasoft.it> 20.12.3-1mamba
- automatic version update by autodist

* Sat Feb 06 2021 Automatic Build System <autodist@mambasoft.it> 20.12.2-1mamba
- automatic version update by autodist

* Sun Jan 10 2021 Automatic Build System <autodist@mambasoft.it> 20.12.1-1mamba
- automatic version update by autodist

* Mon Dec 21 2020 Automatic Build System <autodist@mambasoft.it> 20.12.0-1mamba
- automatic version update by autodist

* Sat Nov 07 2020 Automatic Build System <autodist@mambasoft.it> 20.08.3-1mamba
- automatic version update by autodist

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 20.08.2-1mamba
- automatic version update by autodist

* Fri Sep 04 2020 Automatic Build System <autodist@mambasoft.it> 20.08.1-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 20.08.0-1mamba
- automatic version update by autodist

* Sun Jul 12 2020 Automatic Build System <autodist@mambasoft.it> 20.04.3-1mamba
- automatic version update by autodist

* Sat Jun 13 2020 Automatic Build System <autodist@mambasoft.it> 20.04.2-1mamba
- automatic version update by autodist

* Sat May 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.04.1-1mamba
- update to 20.04.1

* Thu Apr 30 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 20.04.0-1mamba
- package created using the webbuild interface
